[Testing Update] 2022-07-23 - Kernels, Cinnamon, Virtualbox 6.4.36, KDE-Git, Haskell, Python

Hello community,

Another testing branch update with some usual updates for you.

image

Checkout the store. From 21st till 24th we offer free standard shipping!

  • Most of our Kernels got updated
  • Some more Cinnamon updates got added
  • Virtualbox is now at 6.1.36
  • Regular KDE-git, Haskell and Python updates

Additional Info

Info about AUR packages

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Announcement topics are off-topic and will be flagged, moved or removed without warning.

:information_source: You may need to rebuild any AUR packages that install files to site-packages …

Get our latest daily developer images now from Github: Plasma, GNOME, XFCE. You get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux419 4.19.253
  • linux54 5.4.207
  • linux510 5.10.132
  • linux515 5.15.56
  • linux517 5.17.15 (EOL)
  • linux518 5.18.13
  • linux519 5.19-rc7
  • linux515-rt 5.15.49_rt47
  • linux518-rt 5.18.0_rt11

Package Changes (Sat Jul 23 08:03:59 CEST 2022)

  • testing core x86_64: 2 new and 2 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 44 new and 44 removed package(s)
  • testing community x86_64: 263 new and 255 removed package(s)

Overlay Package Changes

  • testing core x86_64: 10 new and 10 removed package(s)
  • testing kde-unstable x86_64: 70 new and 70 removed package(s)
  • testing extra x86_64: 66 new and 66 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                            cinnamon              5.4.3-1              5.4.5-1
                      discord-canary            0.0.136-1                    -
 linux515-rt-virtualbox-host-modules             6.1.34-7           6.1.36-0.1
 linux518-rt-virtualbox-host-modules             6.1.34-1             6.1.36-1
                         mint-themes            1:2.0.2-1            1:2.0.3-1
                                pnpm              7.5.2-1              7.6.0-1
                               tlpui            1.5.0.1-1            1.5.0.2-1
                             xviewer              3.2.7-1              3.2.8-1
                     xviewer-plugins              1.4.2-1              1.4.3-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                          abseil-cpp         20211102.0-2         20220623.0-1
                               acorn            1:8.7.1-1            1:8.8.0-1
                              adios2              2.8.1-1              2.8.2-1
                                agda            2.6.2.1-3            2.6.2.2-1
                            agordejo              0.4.0-1              0.4.1-1
                             amsynth             1.12.4-1             1.13.0-1
                           apptainer              1.0.1-2              1.0.3-1
                               arrow              8.0.0-3              8.0.1-1
                                bear             3.0.19-6             3.0.19-7
                           borgmatic              1.6.5-1              1.6.6-1
                       cabal-install          3.4.0.0-165            3.4.1.0-1
                            cardinal              22.06-1              22.07-1
                       cardinal-data              22.06-1              22.07-1
                       cardinal-jack              22.06-1              22.07-1
                        cardinal-lv2              22.06-1              22.07-1
                        cardinal-vst              22.06-1              22.07-1
                       cardinal-vst3              22.06-1              22.07-1
                          cargo-edit             0.10.1-1             0.10.2-1
                       cargo-nextest             0.9.26-1             0.9.28-1
                         cargo-tauri              1.0.4-1              1.0.5-1
                      cargo-zigbuild             0.11.1-1             0.11.2-1
                               carla              2.4.3-1              2.5.0-1
                    cinnamon-desktop              5.4.1-1              5.4.2-1
                           clash-ghc              1.6.2-5              1.6.3-1
                             cockpit                272-1                273-1
                    cockpit-machines                271-1                272-1
                         cockpit-pcp                272-1                273-1
                      cockpit-podman                 50-1               51.1-1
                                crun              1.4.5-1                1.5-1
                             crystal              1.5.0-1              1.5.0-2
                              dagger             0.2.24-1             0.2.25-1
                               darcs            2.16.5-43            2.16.5-44
                           dart-sass             1.53.0-1             1.54.0-1
                                deno             1.23.4-1             1.24.0-1
                               dhall            1.41.1-51            1.41.1-53
                          dhall-bash            1.0.40-62            1.0.40-64
                          dhall-docs             1.0.9-60             1.0.9-62
                          dhall-json            1.7.10-55            1.7.10-57
                    dhall-lsp-server              1.1.0-5              1.1.1-1
                          dhall-yaml            1.2.10-56            1.2.10-58
                          displaycal              3.9.6-1              3.9.6-2
                       distrobuilder                2.1-1                2.1-2
                            electron             19.0.8-1             19.0.9-1
                             element             0.46.5-1             0.46.6-1
                fcitx5-pinyin-zhwiki   1:0.2.4.20220529-1   1:0.2.4.20220722-1
                           filezilla             3.60.1-2             3.60.2-1
                             fluajho              1.7.2-1              1.7.3-1
                               fwupd              1.8.2-2              1.8.3-1
                                gdal              3.4.3-3              3.5.0-4
                           git-annex       10.20220624-14       10.20220624-15
                               gitea             1.16.8-1             1.16.9-1
                       gitlab-runner             15.1.0-1             15.2.0-1
                            glfw-doc              3.3.7-1              3.3.8-1
                        glfw-wayland              3.3.7-1              3.3.8-1
                            glfw-x11              3.3.7-1              3.3.8-1
                                 gmt              6.3.0-2              6.4.0-1
                             gmt-doc              6.3.0-2              6.4.0-1
                             go-ipfs             0.13.1-1                    -
                                grpc             1.47.1-1             1.48.0-1
                            grpc-cli             1.47.1-1             1.48.0-1
         haskell-aeson-better-errors          0.9.1.0-392            0.9.1.1-1
                  haskell-bower-json          1.0.0.1-390          1.0.0.1-391
                       haskell-brick             0.69.1-1               0.70-1
                          haskell-ci           0.12.1-263           0.12.1-264
                   haskell-clash-lib              1.6.2-5              1.6.3-1
               haskell-clash-prelude              1.6.2-5              1.6.3-1
                      haskell-ghcide            1.4.2.3-3            1.4.2.3-5
                          haskell-gi            0.26.0-32            0.26.0-33
                    haskell-gi-cairo            1.0.26-32            1.0.26-33
                      haskell-hakyll          4.15.1.1-82          4.15.1.1-83
                 haskell-hledger-lib              1.25-43              1.25-44
   haskell-hls-call-hierarchy-plugin          1.0.0.0-195          1.0.0.0-198
             haskell-hls-eval-plugin          1.1.2.0-198          1.1.2.0-201
 haskell-hls-explicit-imports-plugin          1.0.1.0-195          1.0.1.0-197
         haskell-hls-floskell-plugin          1.0.0.1-197          1.0.0.1-200
         haskell-hls-fourmolu-plugin          1.0.0.2-204          1.0.0.2-207
 haskell-hls-haddock-comments-plugin          1.0.0.3-195          1.0.0.3-198
            haskell-hls-hlint-plugin          1.0.1.1-195          1.0.1.1-197
      haskell-hls-module-name-plugin          1.0.0.1-195          1.0.0.1-198
           haskell-hls-ormolu-plugin          1.0.1.0-201          1.0.1.0-204
              haskell-hls-plugin-api          1.2.0.0-148            1.2.0.1-1
          haskell-hls-pragmas-plugin          1.0.1.0-195          1.0.1.0-198
           haskell-hls-retrie-plugin          1.0.1.1-195          1.0.1.1-197
  haskell-hls-stylish-haskell-plugin          1.0.0.2-198          1.0.0.2-200
              haskell-hls-test-utils          1.1.0.0-196          1.1.0.0-198
             haskell-language-server          1.3.0.0-231          1.3.0.0-233
            haskell-lens-family-core              2.1.0-9              2.1.2-1
           haskell-regex-compat-tdfa          0.95.1.4-98          0.95.1.4-99
                  haskell-regex-tdfa           1.3.1.2-26            1.3.1.3-1
                haskell-summoner-tui          2.0.1.1-375          2.0.1.1-376
                haskell-tasty-silver           3.3.1.1-11           3.3.1.1-12
                   haskell-unixutils            1.54.2-68            1.54.2-69
                        hdf5-openmpi             1.12.2-2             1.12.2-3
                           hedgewars            1.0.0-303            1.0.0-304
                          hexer-hobu              1.4.0-7              1.4.0-8
                             hledger              1.25-66              1.25-67
                        hledger-iadd            1.3.17-60            1.3.17-62
                          hledger-ui              1.25-86              1.25-88
                         hledger-web             1.25-104             1.25-105
                               idris              1.3.4-3              1.3.4-4
               intel-compute-runtime        22.27.23681-1        22.29.23750-1
             intel-graphics-compiler        1:1.0.11485-7        1:1.0.11485-8
                             jenkins              2.359-1              2.360-1
                          jupyterlab              3.4.3-1              3.4.4-1
                               kubie             0.17.0-1             0.17.1-1
                            laborejo              2.0.3-1              2.1.0-1
                             lazygit               0.34-2               0.35-1
                      libcalfbox-lss              1.0.0-2              1.1.0-1
                        libfilezilla           1:0.37.2-1           1:0.38.1-1
                          libgeotiff              1.6.0-4              1.7.1-1
                          liblas 1.8.1.r127+ge6a1aaed-2 1.8.1.r128+gded46373-1
                       libspatialite              5.0.1-2              5.0.1-3
                           libtg_owt    0.git14.10d5f4b-1    0.git14.10d5f4b-2
                       libtraceevent            1:1.6.1-1            1:1.6.2-1
                  libtraceevent-docs            1:1.6.1-1            1:1.6.2-1
                          libtracefs              1.4.1-1              1.4.2-1
                     libtracefs-docs              1.4.1-1              1.4.2-1
                             libvips             8.12.2-1             8.13.0-1
                             libvirt            1:8.5.0-2            1:8.5.0-3
             libvirt-storage-gluster            1:8.5.0-2            1:8.5.0-3
        libvirt-storage-iscsi-direct            1:8.5.0-2            1:8.5.0-3
                 libvirt-storage-rbd            1:8.5.0-2            1:8.5.0-3
                           liquidsfz              0.2.3-1              0.3.0-1
                        lua-penlight             1.12.0-2             1.13.1-1
                      lua51-penlight             1.12.0-2             1.13.1-1
                      lua52-penlight             1.12.0-2             1.13.1-1
                      lua53-penlight             1.12.0-2             1.13.1-1
              luajit 2.1.0.beta3.r422.g4c2441c1-1 2.1.0.beta3.r431.g5677985d-1
                                 lxd                5.3-1                5.4-1
                     maliit-keyboard              2.3.0-1              2.3.1-1
                              mapnik             3.1.0-11             3.1.0-12
                          mattermost              7.1.1-1              7.1.2-1
                              mdbook             0.4.20-1             0.4.21-1
                       mediathekview             13.9.0-1             13.9.1-1
                          merkaartor             0.19.0-2             0.19.0-3
                               mimir              2.1.0-4              2.2.0-1
                               minio         2022.06.30-1         2022.07.17-1
                        minio-client         2022.06.26-1         2022.07.15-1
                           mktorrent                1.1-4                1.1-5
                               mmctl              7.1.0-1              7.1.2-1
                            molecule              4.0.0-1              4.0.1-1
                     molecule-podman              2.0.0-1              2.0.1-1
                              monero           0.17.3.2-3           0.18.0.0-1
                          monero-gui           0.17.3.2-3           0.18.0.0-1
                              muffin              5.4.2-1              5.4.3-1
                              mumble           1.4.230-11           1.4.230-13
                              murmur           1.4.230-11           1.4.230-13
                     mysql-workbench             8.0.29-1             8.0.29-2
                                naev              0.9.3-1              0.9.4-1
                                nemo              5.4.1-1              5.4.2-1
               netfilter-fullconenat      r73.0cf3b48-219      r73.0cf3b48-220
              nextcloud-app-contacts              4.1.1-1              4.2.0-1
              nginx-mod-headers-more              0.33-13               0.34-1
                       nginx-mod-njs              0.7.5-1              0.7.6-1
                            obsidian             0.15.6-1             0.15.8-1
                                 oha              0.4.7-1              0.5.3-1
                             opendht          1:2.4.7.2-1            1:2.4.9-1
                      openscenegraph             3.6.5-13             3.6.5-14
                             osbuild                 59-1                 60-1
                            paraview             5.10.1-8             5.10.1-9
                                pdal              2.4.2-2              2.4.2-3
                            php-grpc             1.47.1-1             1.48.0-1
                           php7-grpc             1.47.1-1             1.48.0-1
                            plantuml           1.2022.4-2           1.2022.6-1
                                poco             1.11.3-1             1.12.1-1
                             postgis              3.2.1-1              3.2.1-2
                           postgrest              9.0.0-5              9.0.0-6
                           primus_vk              1.6.1-1              1.6.2-1
                                proj              8.2.0-1              9.0.1-1
                        prusa-slicer              2.4.2-6              2.4.2-7
                               pueue              2.0.4-1              2.1.0-1
           pycharm-community-edition           2022.1.3-1           2022.1.4-1
                             pyright            1.1.261-1            1.1.262-1
                  python-aiobotocore              2.2.0-1              2.3.4-1
               python-ansible-compat              2.1.0-1              2.2.0-1
                     python-cfn-lint             0.61.2-1             0.61.3-1
                   python-cloudflare             2.9.10-1             2.9.11-1
                         python-cmd2              2.3.3-1              2.4.0-1
                     python-daiquiri              3.0.1-3              3.1.0-1
                python-dogpile.cache              1.1.6-1              1.1.7-1
                  python-elementpath              2.5.1-1              2.5.2-1
              python-email-validator              1.1.3-3              1.2.0-1
                      python-fastapi             0.78.0-1             0.79.0-1
                        python-fiona             1.8.21-1             1.8.21-2
                   python-frozendict            1:2.3.2-1            1:2.3.3-1
                python-funcparserlib            1.0.0a0-1              1.0.0-1
                         python-gdal              3.4.3-3              3.5.0-4
                       python-geoip2              4.4.0-1              4.5.0-1
     python-googleapis-common-protos             1.56.2-1             1.56.3-1
                       python-grpcio             1.47.1-1             1.48.0-1
                     python-identify              2.5.1-1              2.5.2-1
               python-keystoneclient              4.5.0-1              5.0.0-1
                   python-lsp-server              1.4.1-1              1.5.0-1
                     python-pydrive2             1.12.1-1             1.14.0-1
                       python-pyface              7.3.0-4              7.4.2-1
                python-pylink-square             0.13.0-1             0.14.0-1
                      python-pyogrio              0.4.0-1              0.4.0-2
                       python-pyproj              3.0.1-3              3.3.1-1
              python-pytest-metadata              2.0.1-1              2.0.2-1
           python-pytest-subtesthack              0.1.2-3              0.2.0-1
                 python-pytest-sugar              0.9.4-5              0.9.5-1
                      python-pytools           2022.1.6-1           2022.1.7-1
                          python-rsa                4.8-3                4.9-1
               python-spyder-kernels              2.3.1-1              2.3.2-1
                       python-traits              6.2.0-3              6.3.2-1
                     python-traitsui              7.2.1-3              7.4.0-1
                  python-uritemplate              3.0.1-6              4.1.1-1
                                qgis             3.26.0-1             3.26.0-2
                           qmapshack             1.16.1-2             1.16.1-3
                                repo               2.27-1               2.28-1
                            restinio             0.6.15-1             0.6.16-1
                  rime-pinyin-zhwiki   1:0.2.4.20220529-1   1:0.2.4.20220722-1
                          rubberband              2.0.2-1              3.0.0-2
                        ruby-bundler             2.3.17-1             2.3.18-1
                           ruby-i18n             1.10.0-1             1.12.0-1
                ruby-rack-protection              2.1.0-2              2.2.0-1
                         ruby-tzinfo              2.0.4-1              2.0.5-1
                       selene-linter             0.19.1-1             0.20.0-1
                         sequoia-sop             0.27.0-1             0.27.1-1
                               sfizz              1.2.0-1              1.2.0-2
                          shellcheck            0.8.0-142            0.8.0-143
                      signal-desktop             5.50.1-1             5.51.0-1
                         slicer-udev              2.4.2-6              2.4.2-7
                              spyder              5.3.1-1              5.3.2-1
                              stylua             0.14.0-1             0.14.1-1
                              sysdig             0.29.2-5             0.29.2-6
                         sysdig-dkms             0.29.2-5             0.29.2-6
                             taskell           1.11.4-189           1.11.4-190
                    telegram-desktop              4.0.2-2              4.0.2-4
                              tembro              0.5.0-1              0.5.1-1
                            thermald              2.4.9-1                2.5-1
                           trace-cmd              3.1.1-1              3.1.2-1
                               trivy             0.30.0-1             0.30.2-1
                             ts-node             10.9.0-1             10.9.1-1
                                tuna             1:0.17-1             1:0.18-1
         v2ray-domain-list-community     20220719055203-1     20220721123730-1
                         v2ray-geoip       202207140057-1       202207210057-1
                               vault             1.11.0-1             1.11.1-1
                          virtualbox             6.1.34-4             6.1.36-1
                  virtualbox-ext-vnc             6.1.34-4             6.1.36-1
                virtualbox-guest-iso             6.1.34-1             6.1.36-1
              virtualbox-guest-utils             6.1.34-4             6.1.36-1
          virtualbox-guest-utils-nox             6.1.34-4             6.1.36-1
                virtualbox-host-dkms             6.1.34-4             6.1.36-1
                      virtualbox-sdk             6.1.34-4             6.1.36-1
                            visidata                2.8-2              2.9.1-1
                             vivaldi        5.3.2679.68-1        5.3.2679.70-1
                                 vtk             9.1.0-18             9.1.0-19
                            wasmtime             0.37.0-1             0.39.1-1
                  webp-pixbuf-loader              0.0.5-1              0.0.6-1
                         x42-plugins           20220605-1           20220714-1
                                xapp             2.2.13-1             2.2.14-1
                                 xed              3.2.4-1              3.2.6-1
                             xreader              3.4.1-1              3.4.2-1
                     zsh-completions             0.33.0-1             0.34.0-1
                  haskell-witherable                    -              0.4.2-1
                                kubo                    -             0.14.0-1
                   libretro-mame2016                    -              44430-1
                                ncnn                    -           20220721-1
                           openslide                    -              3.4.1-3
        python-requests-wsgi-adapter                    -              0.4.1-1
             python-sphinx-lv2-theme                    -              1.2.0-1
                 python-whatthepatch                    -              1.0.2-1
                 waifu2x-ncnn-vulkan                    -           20220419-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                            linux419           4.19.252-3           4.19.253-1
                    linux419-headers           4.19.252-3           4.19.253-1
                            linux510           5.10.131-1           5.10.132-1
                    linux510-headers           5.10.131-1           5.10.132-1
                            linux515            5.15.55-1            5.15.56-1
                    linux515-headers            5.15.55-1            5.15.56-1
                            linux518            5.18.12-3            5.18.13-1
                    linux518-headers            5.18.12-3            5.18.13-1
                             linux54            5.4.206-1            5.4.207-1
                     linux54-headers            5.4.206-1            5.4.207-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                              libbpf              0.8.0-1              0.8.1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                  linux419-acpi_call             1.2.2-39             1.2.2-40
                   linux419-bbswitch              0.8-252              0.8-253
                linux419-broadcom-wl     6.30.223.271-252     6.30.223.271-253
                linux419-ndiswrapper             1.63-142             1.63-143
               linux419-nvidia-390xx           390.151-15           390.151-16
               linux419-nvidia-470xx        470.129.06-13        470.129.06-14
                     linux419-nvidia             515.57-6             515.57-7
                   linux419-nvidiabl             0.88-251             0.88-252
                      linux419-r8168          8.049.02-63          8.049.02-64
                  linux419-rtl8723bu          20220114-34          20220114-35
                   linux419-tp_smapi             0.43-201             0.43-202
                linux419-vhba-module          20211218-35          20211218-36
    linux419-virtualbox-host-modules            6.1.34-21             6.1.36-1
                        linux419-zfs              2.1.5-7              2.1.5-8
                  linux510-acpi_call             1.2.2-49             1.2.2-50
                   linux510-bbswitch              0.8-150              0.8-151
                linux510-broadcom-wl     6.30.223.271-152     6.30.223.271-153
               linux510-nvidia-390xx           390.151-18           390.151-19
               linux510-nvidia-470xx        470.129.06-17        470.129.06-18
                     linux510-nvidia             515.57-6             515.57-7
                      linux510-r8168          8.049.02-87          8.049.02-88
                  linux510-rtl8723bu          20220114-43          20220114-44
                   linux510-tp_smapi             0.43-150             0.43-151
                linux510-vhba-module          20211218-45          20211218-46
    linux510-virtualbox-host-modules            6.1.34-23             6.1.36-1
                        linux510-zfs              2.1.5-7              2.1.5-8
                  linux515-acpi_call             1.2.2-51             1.2.2-52
                   linux515-bbswitch               0.8-66               0.8-67
                linux515-broadcom-wl      6.30.223.271-66      6.30.223.271-67
               linux515-nvidia-390xx           390.151-51           390.151-52
               linux515-nvidia-470xx        470.129.06-18        470.129.06-19
                     linux515-nvidia             515.57-6             515.57-7
                      linux515-r8168          8.049.02-66          8.049.02-67
                  linux515-rtl8723bu          20220114-45          20220114-46
                   linux515-tp_smapi              0.43-66              0.43-67
                linux515-vhba-module          20211218-47          20211218-48
    linux515-virtualbox-host-modules            6.1.34-24             6.1.36-1
                        linux515-zfs              2.1.5-7              2.1.5-8
    linux517-virtualbox-host-modules            6.1.34-16             6.1.36-1
                  linux518-acpi_call             1.2.2-16             1.2.2-17
                   linux518-bbswitch               0.8-16               0.8-17
                linux518-broadcom-wl      6.30.223.271-15      6.30.223.271-16
               linux518-nvidia-390xx           390.151-17           390.151-18
               linux518-nvidia-470xx        470.129.06-17        470.129.06-18
                     linux518-nvidia             515.57-8             515.57-9
                      linux518-r8168          8.049.02-16          8.049.02-17
                  linux518-rtl8723bu          20220522-16          20220522-17
                   linux518-tp_smapi              0.43-16              0.43-17
                linux518-vhba-module          20211218-16          20211218-17
    linux518-virtualbox-host-modules            6.1.34-17             6.1.36-1
                        linux518-zfs              2.1.5-9             2.1.5-10
    linux519-virtualbox-host-modules           6.1.34-0.9           6.1.36-0.1
                   linux54-acpi_call             1.2.2-45             1.2.2-46
                    linux54-bbswitch              0.8-219              0.8-220
                 linux54-broadcom-wl     6.30.223.271-220     6.30.223.271-221
                 linux54-ndiswrapper             1.63-175             1.63-176
                linux54-nvidia-390xx           390.151-15           390.151-16
                linux54-nvidia-470xx        470.129.06-15        470.129.06-16
                      linux54-nvidia             515.57-6             515.57-7
                    linux54-nvidiabl             0.88-219             0.88-220
                       linux54-r8168          8.049.02-81          8.049.02-82
                   linux54-rtl8723bu          20220114-39          20220114-40
                    linux54-tp_smapi             0.43-219             0.43-220
                 linux54-vhba-module          20211218-41          20211218-42
     linux54-virtualbox-host-modules            6.1.34-19             6.1.36-1
                         linux54-zfs              2.1.5-7              2.1.5-8


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                         389-ds-base              2.2.1-1              2.2.2-1
                               atkmm             2.28.2-2             2.28.3-1
                          atkmm-2.36             2.36.1-2             2.36.2-1
                     atkmm-2.36-docs             2.36.1-2             2.36.2-1
                          atkmm-docs             2.28.2-2             2.28.3-1
                        avogadrolibs             1.96.0-2             1.97.0-1
                    avogadrolibs-qt5             1.96.0-2             1.97.0-1
                            chromium     103.0.5060.114-1     103.0.5060.134-1
                        java-openjfx          18.0.1.u2-1          18.0.2.u2-1
                    java-openjfx-doc          18.0.1.u2-1          18.0.2.u2-1
                    java-openjfx-src          18.0.1.u2-1          18.0.2.u2-1
                      java11-openjfx         11.0.15.u2-1         11.0.16.u2-1
                  java11-openjfx-doc         11.0.15.u2-1         11.0.16.u2-1
                  java11-openjfx-src         11.0.15.u2-1         11.0.16.u2-1
                      java17-openjfx          17.0.3.u2-1          17.0.4.u2-1
                  java17-openjfx-doc          17.0.3.u2-1          17.0.4.u2-1
                  java17-openjfx-src          17.0.3.u2-1          17.0.4.u2-1
                         jdk-openjdk        18.0.1.1.u2-1          18.0.2.u9-1
                       jdk11-openjdk        11.0.15.u10-2         11.0.16.u8-2
                       jdk17-openjdk          17.0.3.u7-2          17.0.4.u8-2
                         jre-openjdk        18.0.1.1.u2-1          18.0.2.u9-1
                jre-openjdk-headless        18.0.1.1.u2-1          18.0.2.u9-1
                       jre11-openjdk        11.0.15.u10-2         11.0.16.u8-2
              jre11-openjdk-headless        11.0.15.u10-2         11.0.16.u8-2
                       jre17-openjdk          17.0.3.u7-2          17.0.4.u8-2
              jre17-openjdk-headless          17.0.3.u7-2          17.0.4.u8-2
                          kitinerary            22.04.3-1            22.04.3-2
                      libphonenumber          1:8.12.50-2          1:8.12.52-1
                         openjdk-doc        18.0.1.1.u2-1          18.0.2.u9-1
                         openjdk-src        18.0.1.1.u2-1          18.0.2.u9-1
                       openjdk11-doc        11.0.15.u10-2         11.0.16.u8-2
                       openjdk11-src        11.0.15.u10-2         11.0.16.u8-2
                       openjdk17-doc          17.0.3.u7-2          17.0.4.u8-2
                       openjdk17-src          17.0.3.u7-2          17.0.4.u8-2
                              ostree             2022.4-1             2022.5-1
                              prison             5.96.0-1             5.96.0-2
                        python-evdev              1.5.0-1              1.6.0-1
            python-trove-classifiers          2022.6.26-1          2022.7.22-1
                                 qbs             1.22.1-1             1.23.0-1
                            qt5-base    5.15.5+kde+r170-1    5.15.5+kde+r172-1
                             qt5-svg     5.15.5+kde+r10-1     5.15.5+kde+r11-1
             qt5-xcb-private-headers    5.15.5+kde+r170-1    5.15.5+kde+r172-1
                           qtcreator              7.0.2-4              8.0.0-1
                     qtcreator-devel              7.0.2-4              8.0.0-1

:: Different overlay package(s) in repository kde-unstable x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                         audiocd-kio22.04.3.r1092.g5818940-122.04.3.r1094.g8f766a9-1
                              bomber22.04.3.r569.g56cdf3c-122.04.3.r570.gbe88435-1
                              breeze5.25.3.r2431.gd012df4e-15.25.3.r2433.g5caf82c3-1
                        breeze-icons5.96.0.r1908.ge6ae2ea7-15.96.0.r1909.gacc75ff7-1
                              cantor22.04.3.r3368.g4efa9889-122.04.3.r3371.gf5f8319b-1
                            discover5.25.3.r8730.g45170af19-15.25.3.r8742.gcd2b9b05a-1
                             dolphin22.04.3.r7046.gd4ed58f6a-122.04.3.r7050.gd0c3e373a-1
                             drkonqi5.25.3.r803.gba2a47e0-15.25.3.r809.g80efd753-1
                           filelight22.04.3.r1154.g97fbbd4-122.04.3.r1155.g7d2f734-1
                           itinerary22.04.3.r1956.g302bdf8-122.04.3.r1961.gd2cf370-1
                                kate22.04.3.r19242.gf6743520d-122.04.3.r19252.g5b2f39986-1
                            kcmutils5.96.0.r650.g03804c1-15.96.0.r651.g85097f0-1
                      kconfigwidgets5.96.0.r750.geb393b1-15.96.0.r752.g89d04a1-1
                         kcoreaddons5.96.0.r1531.gd1f29806-15.96.0.r1532.gdf8a2f6b-1
                      kdebugsettings22.04.3.r946.g5f5c562-122.04.3.r949.g5890609-1
                          kdeconnect22.04.3.r3491.g182fd5f2-122.04.3.r3494.geefdf0c5-1
                       kdepim-addons22.04.3.r4721.g5eedfcb9c-122.04.3.r4723.g779bae66b-1
                    kdeplasma-addons5.25.3.r8931.g7be911900-15.25.3.r8938.g4f6891294-1
                            keysmith  22.06.r8.gb74e529-1  22.06.r9.gab97a00-1
                       kfilemetadata5.96.0.r866.gcb95bf6-15.96.0.r868.g138880a-1
                                kget22.04.3.r3215.g827824c6-122.04.3.r3216.g3682529a-1
                        kglobalaccel5.96.0.r536.gca47aad-15.96.0.r537.g5683e03-1
                         khelpcenter22.04.3.r2758.g1cfa9d78-122.04.3.r2759.g1bfabb70-1
                                 kio5.96.0.r5588.g125977a27-15.96.0.r5595.gc6207ee11-1
                          kio-extras22.04.3.r7299.g850d9af0-122.04.3.r7302.g2b4ec3a8-1
                     kirigami-addons  1:0.3.r5.g1468d70-1  1:0.3.r6.gbd7741e-1
                    kirigami-gallery22.04.3.r255.gca484dc-122.04.3.r256.g09384d4-1
                           kirigami25.96.0.r3182.gb6e57d84-15.96.0.r3184.g1b19825b-1
                          kitinerary22.04.3.r2306.gaf30845-122.04.3.r2328.gf19e8f4-1
                           kleopatra22.04.3.r6677.ga9a3f23b-122.04.3.r6697.ga71ac7b3-1
                              kmines22.04.3.r1771.gd14a074-122.04.3.r1772.ga4000b6-1
                           knewstuff5.96.0.r1366.g39c74671-15.96.0.r1367.g6b941efe-1
                                koko  22.06.r7.g7152f6c-1  22.06.r9.gc8e4141-1
                             kompare22.04.3.r1145.gf7b472b-122.04.3.r1146.g3d27211-1
                            kongress  22.06.r6.gd325480-1 22.06.r10.ge9b588f-1
                           konqueror22.04.3.r15130.g90807e9fa-122.04.3.r15131.g1d7ed315e-1
                             konsole22.04.3.r8551.gf7a05efa-122.04.3.r8554.g05a4d489-1
                           kpipewire5.25.3.r134.gca8fbdb-15.25.3.r135.g3bc932e-1
                                krdc22.04.3.r1609.g194d0c5-122.04.3.r1610.g6b9f4c1-1
                             kscreen5.25.3.r1484.gbcc0353-15.25.3.r1491.g387fda6-1
                             ksudoku22.04.3.r1122.g5057715-122.04.3.r1123.g61a004a-1
                            ktorrent22.04.3.r2867.gcb0986aa-122.04.3.r2868.gce4aef3c-1
                                kwin5.25.3.r22771.ga0c8d4b24-15.25.3.r22827.gb6cf576ef-1
                              kwrite22.04.3.r19242.gf6743520d-122.04.3.r19252.g5b2f39986-1
                             libkleo22.04.3.r1206.g121ed86-122.04.3.r1221.g1be06ea-1
                          libkscreen5.25.3.r1632.g6c3140b-15.25.3.r1633.gf6c8db3-1
                        libksysguard5.25.3.r2419.gabe0012-15.25.3.r2421.g2d64af6-1
                            lokalize22.04.3.r1840.gdab52c0c-122.04.3.r1841.g167df143-1
                     maliit-keyboard 2.3.0.r0.gdcde37d3-1 2.3.1.r0.g9673c8e8-1
                             mauikit2.1.2.r49.g82274116-12.1.2.r50.g8ad10f4d-1
                             mauiman        r22.f42eb96-1        r23.6ccbef3-1
                             neochat22.06.r47.ga7504876-122.06.r51.g94f32560-1
                              parley22.04.3.r4531.g5d76d7d5-122.04.3.r4533.g767fa241-1
                    plasma-bigscreen      r487.g95c8e34-1      r489.gee83ea0-1
                      plasma-desktop5.25.3.r9437.g292b5c635-15.25.3.r9454.g0fc8d0316-1
                     plasma-firewall5.25.3.r642.gbbdfe7b-15.25.3.r643.g0c9bbb3-1
            plasma-remotecontrollers       r93.g0ab8e75-1       r94.ge952261-1
                          plasma-sdk5.25.3.r2377.g29f3ee38-15.25.3.r2378.g811d92d1-1
                     plasma-settings 22.06.r30.g1e6d45b-1 22.06.r32.g0a02044-1
                plasma-systemmonitor5.25.3.r595.ga6b72e0-15.25.3.r597.g43f1a12-1
            plasma-wayland-protocols1.4.0.r1054.g0469915-11.4.0.r1055.gbcb428f-1
              plasma-wayland-session5.25.3.r12087.g6ec7a9f0a-15.25.3.r12094.g502430d76-1
                    plasma-workspace5.25.3.r12087.g6ec7a9f0a-15.25.3.r12094.g502430d76-1
                  qqc2-desktop-style5.96.0.r639.gf804b45-15.96.0.r643.g299748e-1
                            sddm-kcm5.25.3.r670.g08ecf2b-15.25.3.r671.gea131ce-1
                      systemsettings5.25.3.r2693.g682b604c-15.25.3.r2695.g270c9d2b-1
                             tokodon 22.06.r14.g565052f-1 22.06.r17.gb30ed83-1
                            umbrello22.04.3.r8486.g4f81aaa82-122.04.3.r8487.g908b3425f-1
              xdg-desktop-portal-kde5.25.3.r509.g3b31623-15.25.3.r512.g57f17b2-1
                             yakuake22.04.3.r802.g10be48c-122.04.3.r803.g7bd2d68-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-20           2022-07-23
-------------------------------------------------------------------------------
                     lib32-primus_vk              1.6.1-1              1.6.2-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

3 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Please RTFT (Read This Fine Thread) first before reporting the same issues over and over again!

:arrow_right: 2022-07-23

2022-07-16

wxWidgets 3.2 update may need manual intervention

Packages have been renamed from wxgtk- to wxwidgets-. The GTK2 frontend is no longer provided. If you have wxgtk2 installed, the upgrade will fail with:

In such case, uninstall wxgtk2 first and then proceed with the upgrade.

2022-07-13

Linux518: could not insert 'amd_pstate': No such device

With Kernel 5.18.11 there was added a regression to AMD P-State driver preventing it from loading.

2022-07-08

Wireplumber 0.4.11 may crash for GDM users

Currently there is an issue with 0.4.11 and GDM crashing on boot-up. More in the upstream bugtracker issue: wireplumber segfault: system boot and could see in my dmesg (#305) · Issues · PipeWire / wireplumber · GitLab

2022-06-07

Locale file changes

C.UTF8 locale is now included in glibc:

Credits @diabonas for this change. Systemd wants us to include C.UTF8 by default and it seems the locale may be in included by glibc upstream in the future. To fix building and avoid nasty fixing in devtools, we include the locale in the package. See systemd/systemd#23252 (comment) FS#74864 : [systemd] >= 251 breaks devtools' locale

There is a pacsave for /etc/locale.conf as it has been removed from the filesystem package.

UPDATE: With filesystem 2022.06.08-2, it will automatically restore /etc/locale.conf if it did not already exist.

There is a pacnew for /etc/locale.gen. Please review it and regenerate your locale if necessary.

2022-05-10

QEMU >= 7.0.0 changes split package setup

2022-05-09 - David Runge

With the update to qemu 7.0.0 the package has been turned into a more fine grained split package utilizing meta packages.

  • The qemu package is now virtually provided by the meta packages qemu-base, qemu-desktop and qemu-full.
  • The functionality of qemu prior to 7.0.0 is replaced by qemu-desktop
  • The functionality of qemu-headless is replaced by qemu-base
  • The functionality of qemu-arch-extra and qemu-headless-arch-extra is replaced by qemu-emulators-full
  • The meta package qemu-full provides all QEMU related packages (excluding qemu-guest-agent)

2022-03-12

Cannot mix incompatible Qt library (5.15.2) with this library (5.15.3)
  • Check the mirror you use is up to date:
sudo pacman-mirrors -f 5 && sudo pacman -Syyu 
  • If you use qt5-styleplugins (AUR), rebuild it:
pamac build qt5-styleplugins
FIXED? VPN via L2TP might not work anymore

See FS#74089 - networkmanager 1.36 breaks vpn with networkmanager-l2tp

You may need to downgrade to 1.34.0:

sudo pacman -U https://archive.archlinux.org/packages/l/libnm/libnm-1.34.0-1-x86_64.pkg.tar.zst https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.34.0-1-x86_64.pkg.tar.zst

FIXED? DSL/PPPoE may require downgrading 2 packages

See my-internet-connection-is-no-longer-working and FS#73948 - networkmanager 1.36.0 breaks DSL connection

Please check if 1.36.2-1.0 of NetworkManager improve things, else downgrade to 1.34.0:

sudo pacman -U https://archive.archlinux.org/packages/l/libnm/libnm-1.34.0-1-x86_64.pkg.tar.zst https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.34.0-1-x86_64.pkg.tar.zst

2022-01-03

New warnings when building the fallback initcpio - Possibly missing firmware for module: bfa, qed, qla1280, qla2xxx

That’s due to the recent changes to the linux-firmware package. Note these are warnings, not errors. You only need those firmwares if you have Mellanox Spectrum switches, Marvell devices, Qualcomm SoCs, Cavium LiquidIO server adapters, QLogic devices and Broadcom NetXtreme II 10Gb ethernet adapters. if you have that hardware you can install linux-firmware-qlogic to get rid of those warnings. If you do not have that hardware you can safely ignore those warnings.

pamac install linux-firmware-qlogic

1 Like

It already fixed the known bug “File and folder dialog stops accepting mouse input” in KDE. :+1:

After installing VirtualBox 6.1.36 VMs fail with

Failed to open a session for the virtual machine Arch.

The VM session was aborted.

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: SessionMachine
Interface: ISession {c0447716-ff5a-4795-b57a-ecd5fffa18a4}

When USB Controller is set to USB 1.1 or disabled the VM will start. Then the Guest Additions can be updated, but still VM only starts with USB Controller vs 1.1 or disabled

edit: with kernel 5.18.13

@hans: VirtualBox interacts with the kernel, so it would be good to tell us which kernel version you’re using.

For me, vbox 6.1.34 didn’t work with kernel 5.15, but does with kernel 5.18.
Hoping vbox 6.1.36 will work with at least one not-too-cutting-edge kernel.

  1. Go to Preferences > Extensions

  2. Remove the extensions.

  3. Download the latest extension pack from Downloads – Oracle VM VirtualBox

  4. Install the up to date extension pack.

1 Like

Yes, thanks for this! Somehow I keep forgetting the distinction of extension pack and guest additions.